Bug 108010 - reproducible segmentation fault building xine-lib 1 rc2 on rh80.
reproducible segmentation fault building xine-lib 1 rc2 on rh80.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-26 01:00 EST by Dams
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 02:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bzipped cpp output (40.58 KB, application/octet-stream)
2003-10-26 01:01 EST, Dams
no flags Details

  None (edit)
Description Dams 2003-10-26 01:00:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1) Gecko/20031023
Galeon/1.3.9

Description of problem:
[root@host .../xine-lib-1-rc2/src/libffmpeg/libavcodec/i386]# make
source='motion_est_mmx.c' object='motion_est_mmx.lo' libtool=yes \
depfile='.deps/motion_est_mmx.Plo' tmpdepfile='.deps/motion_est_mmx.TPlo' \
depmode=gcc3 /bin/sh ../../../../depcomp \
/bin/sh ../../../../libtool-nofpic --mode=compile gcc -DHAVE_CONFIG_H -I. -I.
-I../../../.. -I../../../.. -I../../../../include -I../../../../include
-I../../../../src -I../../../../src/xine-engine -I../../../../src/xine-engine
-I../../../../src/xine-utils  -I../../../../src/input -I../../../../src/input  
-DSIMPLE_IDCT -DHAVE_AV_CONFIG_H -DRUNTIME_CPUDETECT -DUSE_FASTMEMCPY
-DCONFIG_RISKY -DCONFIG_ENCODERS `echo -O3 -pipe -fomit-frame-pointer
-falign-functions=4 -falign-loops=4 -falign-jumps=4 
-mpreferred-stack-boundary=2 -fexpensive-optimizations -fschedule-insns2
-fno-strict-aliasing -ffast-math -funroll-loops -finline-functions -Wall
-D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE  -Wpointer-arith
-Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations
-Wmissing-prototypes -DENABLE_IPV6 -O2 -g -march=i386 -mcpu=i686  
-I/usr/include/kde/artsc  | sed -e 's/-funroll-loops//g'` -c -o
motion_est_mmx.lo `test -f 'motion_est_mmx.c' || echo './'`motion_est_mmx.c
In file included from motion_est_mmx.c:21:
../dsputil.h:492: warning: static declaration for `lrintf' follows non-static
../dsputil.h: In function `lrintf':
../dsputil.h:499: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [motion_est_mmx.lo] Error 1
zsh: exit 2     make


Version-Release number of selected component (if applicable):
gcc-3.2-7

How reproducible:
Always

Steps to Reproduce:
1. get xine-lib 1rc2 source code. 
2. configure ; make

(see spec file at http://livna.org/~anvil/fedora/spec/xine-lib.spec)


Additional info:

Build fine on rh9 and fedora core 0.95. (already fixed bug.. ?)
Comment 1 Dams 2003-10-26 01:01:01 EST
Created attachment 95485 [details]
bzipped cpp output
Comment 2 Richard Henderson 2004-10-04 02:00:00 EDT
No ICE with gcc-3.2.3-20.

Note You need to log in before you can comment on or make changes to this bug.